Entity\ForumAttachment:
  type: entity
  table: c_forum_attachment
  repositoryClass: Entity\Repository\ForumAttachmentRepository
  fields:
    c_id:
      id: true
      type: integer
      unsigned: false
      nullable: false
    id:
      id: true
      type: integer
      unsigned: false
      nullable: false
    path:
      type: string
      length: 255
      fixed: false
      nullable: false
    comment:
      type: text
      nullable: true
    size:
      type: integer
      unsigned: false
      nullable: false
    post_id:
      type: integer
      unsigned: false
      nullable: false
    filename:
      type: string
      length: 255
      fixed: false
      nullable: false
  lifecycleCallbacks:
    prePersist:
      - before_save
